 
<div class="ins-payment-wrap">
    <?php do_action( 'woocommerce_checkout_before_order_review_heading' ); ?>
    <?php do_action( 'woocommerce_checkout_before_order_review' ); ?>
 
    <div class="ins-cart-content-wrap ins-payment-center ins-text-left">  
        <div class="ins-cart-summery">

            <!-- Ins Payment Methood Load -->
            <?PHP
                if ( ! wp_doing_ajax() ) {
                    do_action( 'woocommerce_review_order_before_payment' );
                }
            ?>
            <div id="order_review" class="ins-payment woocommerce-checkout-review-order"> 
                <h3><?php esc_html_e( 'Payment Method', 'woocommerce' ); ?> </h3>  
                <div id="payment" class="woocommerce-checkout-payment">
                    <?php 
                        $gateways = new WC_Payment_Gateways();
                        $available_gateways = $gateways->get_available_payment_gateways(); 

                        if( !empty( $available_gateways ) ) : 
                    ?>
                    <ul class="ins-payment-method">
                    <?php 
                        
                            foreach ( $available_gateways as $gateway ) {
                                wc_get_template( 'checkout/payment-method.php', array( 'gateway' => $gateway ) );
                            }
                        // foreach ( $available_gateways as $key => $gateway ):     
                    ?>
                    </ul>
                    <?php 
                        else:
                            echo '<li class="woocommerce-notice woocommerce-notice--info woocommerce-info">' . apply_filters( 'woocommerce_no_available_payment_methods_message', WC()->customer->get_billing_country() ? esc_html__( 'Sorry, it seems that there are no available payment methods for your state. Please contact us if you require assistance or wish to make alternate arrangements.', 'woocommerce' ) : esc_html__( 'Please fill in your details above to see available payment methods.', 'woocommerce' ) ) . '</li>'; 
                        endif;  
                    ?>
                </div> 
                <div class="form-row place-order">
                    <noscript>
                        <?php
                        /* translators: $1 and $2 opening and closing emphasis tags respectively */
                        printf( esc_html__( 'Since your browser does not support JavaScript, or it is disabled, please ensure you click the %1$sUpdate Totals%2$s button before placing your order. You may be charged more than the amount stated above if you fail to do so.', 'woocommerce' ), '<em>', '</em>' );
                        ?>
                        <br/><button type="submit" class="button alt<?php echo esc_attr( wc_wp_theme_get_element_class_name( 'button' ) ? ' ' . wc_wp_theme_get_element_class_name( 'button' ) : '' ); ?>" name="woocommerce_checkout_update_totals" value="<?php esc_attr_e( 'Update totals', 'woocommerce' ); ?>"><?php esc_html_e( 'Update totals', 'woocommerce' ); ?></button>
                    </noscript> 
                    <?php wp_nonce_field( 'woocommerce-process_checkout', 'woocommerce-process-checkout-nonce' ); ?>
                </div>
            </div>
            <!-- Ins Payment Methood Load -->
        </div>
    </div> 

    <?php do_action( 'woocommerce_checkout_after_order_review' ); ?>
</div> 

<div class ="ins-card-cross-sell">
    <?php apply_filters( 'ins_show_items_cross_sell', ''); ?>
</div>

<div class="Ins-terms">
        <?php wc_get_template( 'checkout/terms.php' ); ?> 
</div>

<?php do_action( 'woocommerce_review_order_before_submit' ); ?>

    <div class="ins-cart-btns ins_single_layout_btn">  
        <?php echo apply_filters( 'woocommerce_order_button_html', '<button type="submit" class="button alt' . esc_attr( wc_wp_theme_get_element_class_name( 'button' ) ? ' ' . wc_wp_theme_get_element_class_name( 'button' ) : '' ) . '" name="woocommerce_checkout_place_order" id="place_order" value="' . esc_attr( 'Place Order' ) . '" data-value="' . esc_attr( 'Place Order' ) . '">' . esc_html( 'Place Order' ) . '</button>' ); // @codingStandardsIgnoreLine ?>

        <!-- <a href="#" id="ins-place-order" data-step-prev= "shipping active"  data-step-content = "payment" class="shipping"><?php // esc_html_e( 'Pay', 'instantio' ); ?> <?php wc_cart_totals_order_total_html(); ?> </a>  -->
    </div> 

    <div class="ins-order-review-after-payment">
        <?php

        if ( ! wp_doing_ajax() ) {
            do_action( 'woocommerce_review_order_after_payment' );
        }  

        do_action( 'woocommerce_review_order_after_submit' ); 

        ?> 
    </div>